using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Conteneur_exemple1
{
    class Program
    {
        static void Main(string[] args)
        {           
            Random rnd2 = new Random();
            List<int> listTab = new List<int>(10); // capacité de la liste:  10 elts 
            for (int i = 0; i < 10; i++)  // ATTENTION: LA LISTE EST VIDE ,CAPACITE différent de TAILLE 
                // listTab[i] = 100; COMPILATEUR KO car la liste est vide
                listTab.Add(rnd2.Next(1000)); // rajout nbre random <1000 
            foreach (int val in listTab) Console.Write(val + " "); // parcours de la liste
            listTab[0] = 100; // acces à un elt EXISTANT
            listTab.Insert(1, 101); // insertion elt 101 à l'index 1
            Console.WriteLine("\ncapacité de la liste "+listTab.Capacity); //la capacité a été redimmensionné!
            listTab.RemoveAt(2); // suppression elt à l'index 3
            Console.WriteLine("\n Liste mofidifiée");
            foreach (int val in listTab) Console.Write(val + " "); // parcours de la liste
            listTab.AddRange(new int[] { 10, 20, 30 }); // rajoute une collection d'objet
            Console.WriteLine("\n Liste mofidifiée 2");
            foreach (int val in listTab) Console.Write(val + " "); // parcours de la liste    
            Console.WriteLine("\nLe  max est"+listTab.Max());
            Console.WriteLine("\nLa moyenne est"+ listTab.Average());
            Console.ReadKey();  
        }
    }
}
